%global commit 4e1aba67c8313b83b0e10eb1397242422e63c1d3
%global gittag HEAD
%global shortcommit %(c=%{commit}; echo ${c:0:12})

Name:    vpl
Version: 1.3.0
Release: 1.20191119git%{shortcommit}%{?dist}
Summary: Voxel Processing Library
URL:     https://bitbucket.org/3dimlab/vpl

License: BSD

# wget https://bitbucket.org/3dimlab/vpl/get/4e1aba67c8313b83b0e10eb1397242422e63c1d3.tar.gz
# mv 4e1aba67c8313b83b0e10eb1397242422e63c1d3.tar.gz vpl-4e1aba67c831.tar.gz
Source0: https://bitbucket.org/3dimlab/%{name}/get/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz
# https://bitbucket.org/3dimlab/vpl/issues/2/tinyxml2-detection
Patch0:  vpl-1.3.0-tinyxml2-cmake.patch
# https://bitbucket.org/3dimlab/vpl/issues/6/vpl-fails-to-compile-with-newer-gcc
Patch1:  vpl-1.3.0-no-default-none.patch
# https://bitbucket.org/3dimlab/vpl/issues/3/installation-ignores-64bit-suffix-for
Patch2:  vpl-1.3.0-lib-suffix.patch
# https://bitbucket.org/3dimlab/vpl/issues/4/please-dont-override-debug-flag
Patch3:  vpl-1.3.0-dont-disable-debug.patch
# https://bitbucket.org/3dimlab/vpl/issues/5/please-dont-set-32bit-explicitly
Patch4:  vpl-1.3.0-dont-set-m32.patch

BuildRequires: cmake
BuildRequires: eigen3-devel
BuildRequires: fftw-devel
BuildRequires: gcc-c++
BuildRequires: libjpeg-turbo-devel
BuildRequires: libpng-devel
BuildRequires: tinyxml2-devel
BuildRequires: zlib-devel

%package devel
Summary: Development files for VPL
Requires: %{name}%{?_isa} = %{version}-%{release}

%description
VPL (Voxel Processing Library) is an open source collection of 2D/3D image
processing tools originally aimed at medical images. It contains number
of routines for volumetric data processing like 3D filtering, edge detection,
segmentation, etc.

%description devel
Development files for VPL (Voxel Processing Library).

%prep
%autosetup -n 3dimlab-%{name}-%{shortcommit} -p1
rm CMakeModules/FindTinyXML.cmake
sed -i -e "s|\r||g" README.md

%build
if [[ %{_lib} == "lib64" ]]; then
    %cmake -DVPL_PREFER_SUPPLIED_3RDPARTY_LIBS:BOOL=OFF -DVPL_GENERATE_64BIT_CODE:BOOL=ON
else
    %cmake -DVPL_PREFER_SUPPLIED_3RDPARTY_LIBS:BOOL=OFF
fi
%make_build

%install
%make_install

%files
%{_libdir}/*so
%doc AUTHORS README.md
%license LICENSE

%files devel
%{_includedir}/VPL
%{_libdir}/pkgconfig/*

%changelog
* Tue Dec 17 2019 Karel Volny <kvolny@redhat.com> 1.3.0-1.20191119git4e1aba67c831
- New package
